Subject: bug#57436: Running ./configure from `guix shell -D guix --pure` errors

From: zimoun <[email-masked]>
Date: Mon, 29 Aug 2022 16:01:00 +0200

Hi,

On sam., 27 août 2022 at 09:56, Katherine Cox-Buday <[email-masked]> wrote:

> This turned out to be the issue. I discovered my shell startup files were
> mis-configured by running `guix shell --pure --check -D guix`. This is
> definitely a user error, and my fault, but maybe we should update the manual
> to include the `--check` flag?

Well, “guix shell” should hint a ’--check’ the first time you run it.
And is the explanation about ’--check’ (section Invoking guix shell) not
clear?

Do you mean update the «Building from Git» section?

Cheers,
simon